Bug 865908 - pulseaudio starting failed with kernel-3.6
pulseaudio starting failed with kernel-3.6
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 15:25 EDT by Antonio Trande
Modified: 2012-10-18 05:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-17 13:39:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pulseaudio log (3.43 KB, application/x-gzip)
2012-10-12 15:25 EDT, Antonio Trande
no flags Details
alsa-info (6.12 KB, application/x-gzip)
2012-10-12 15:33 EDT, Antonio Trande
no flags Details
pulseaudio log2 (9.09 KB, application/x-gzip)
2012-10-17 06:06 EDT, Antonio Trande
no flags Details
pulseaudio log3 (12.98 KB, application/x-gzip)
2012-10-17 08:20 EDT, Antonio Trande
no flags Details

  None (edit)
Description Antonio Trande 2012-10-12 15:25:44 EDT
Created attachment 626198 [details]
Pulseaudio log

Description of problem:
No audio starting Fedora with kernel-3.6.1-1. Pulseaudio daemon doesn't start.

Version-Release number of selected component (if applicable):
pulseaudio-libs-devel-1.1-9.fc17.x86_64
pulseaudio-1.1-9.fc17.x86_64
alsa-plugins-pulseaudio-1.0.26-1.fc17.x86_64
pulseaudio-module-gconf-1.1-9.fc17.x86_64
pulseaudio-gdm-hooks-1.1-9.fc17.x86_64
pulseaudio-module-bluetooth-1.1-9.fc17.x86_64
pulseaudio-libs-1.1-9.fc17.x86_64
pulseaudio-libs-glib2-1.1-9.fc17.x86_64
pulseaudio-utils-1.1-9.fc17.x86_64
pulseaudio-module-x11-1.1-9.fc17.x86_64
kernel-3.6.1-1.fc17.x86_64

How reproducible:
By starting the lastest kernel-3.6.1-1

Steps to Reproduce:
1. Run Fedora
2.
3.
  
Actual results:
No audio only with kernel-3.6.1-1
By using the lastest kernel-3.5.6-1.fc17.x86_64, pulseaudio works.


Additional info:
Log from journalctl attached.
Comment 1 Antonio Trande 2012-10-12 15:33:42 EDT
Created attachment 626199 [details]
alsa-info
Comment 2 Antonio Trande 2012-10-13 06:33:01 EDT
More:

System audio works at boot. If I try to listen something, pulseaudio stops:

 $ pulseaudio -vvvv
I: [pulseaudio] main.c: setrlimit(RLIMIT_NICE, (31, 31)) failed: Operation not permitted
I: [pulseaudio] main.c: setrlimit(RLIMIT_RTPRIO, (9, 9)) failed: Operation not permitted
D: [pulseaudio] core-rtclock.c: Timer slack is set to 50 us.
D: [pulseaudio] core-util.c: RealtimeKit worked.
I: [pulseaudio] core-util.c: Successfully gained nice level -11.
I: [pulseaudio] main.c: This is PulseAudio 1.1
D: [pulseaudio] main.c: Compilation host: x86_64-redhat-linux-gnu
D: [pulseaudio] main.c: Compilation CFLAGS: -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -W -Wextra -Wno-long-long -Wvla -Wno-overlength-strings -Wunsafe-loop-optimizations -Wundef -Wformat=2 -Wlogical-op -Wsign-compare -Wformat-security -Wmissing-include-dirs -Wformat-nonliteral -Wpointer-arith -Winit-self -Wdeclaration-after-statement -Wfloat-equal -Wmissing-prototypes -Wredundant-decls -Wmissing-declarations -Wmissing-noreturn -Wshadow -Wendif-labels -Wcast-align -Wstrict-aliasing -Wwrite-strings -Wno-unused-parameter -ffast-math -fno-common -fdiagnostics-show-option
D: [pulseaudio] main.c: Running on host: Linux x86_64 3.6.1-1.fc17.x86_64 #1 SMP Wed Oct 10 12:13:05 UTC 2012
D: [pulseaudio] main.c: Found 2 CPUs.
I: [pulseaudio] main.c: Page size is 4096 bytes
D: [pulseaudio] main.c: Compiled with Valgrind support: no
D: [pulseaudio] main.c: Running in valgrind mode: no
D: [pulseaudio] main.c: Running in VM: no
D: [pulseaudio] main.c: Optimized build: yes
D: [pulseaudio] main.c: All asserts enabled.
I: [pulseaudio] main.c: Machine ID is e6cdadb7e38dcf6476f9386400000052.
I: [pulseaudio] main.c: Session ID is e6cdadb7e38dcf6476f9386400000052-1350115817.20602-1753459632.
I: [pulseaudio] main.c: Using runtime directory /home/sagitter/.pulse/e6cdadb7e38dcf6476f9386400000052-runtime.
I: [pulseaudio] main.c: Using state directory /home/sagitter/.pulse.
I: [pulseaudio] main.c: Using modules directory /usr/lib64/pulse-1.1/modules.
I: [pulseaudio] main.c: Running in system mode: no
E: [pulseaudio] pid.c: Daemon already running.
E: [pulseaudio] main.c: pa_pid_file_create() failed.

$ pulseaudio --kill

$ pulseaudio -D -vvvv
E: [pulseaudio] main.c: Daemon startup failed.
Comment 3 Antonio Trande 2012-10-13 06:54:51 EDT
Pulseaudio runs properly if I plug headphone.

$ pulseaudio --kill

$ pulseaudio -D -vvvv
I: [pulseaudio] main.c: Daemon startup successful.
Comment 4 Antonio Trande 2012-10-16 07:01:06 EDT
Cannot we do nothing ?
Comment 5 Brendan Jones 2012-10-17 00:50:20 EDT
Are you able to get it working with a kernel earlier than 3.6.1?

Can you try 
for i in /tmp/.esd* .esd*; do echo $i; lsof $i ; done;
pulseaudio --kill
rm -rf  /home/sagitter/.pulse
pulseaudio -vvvv

And post the output here

if it fails, with Failed to load module "module-esound-protocol-unix" . Uncomment 
loadmodule moudle-esound-protocol-unix in /etc/pulse/default.pa and repeat
Comment 6 Antonio Trande 2012-10-17 06:05:37 EDT
(In reply to comment #5)
Hi Brendan.

> Are you able to get it working with a kernel earlier than 3.6.1?
> 
> Can you try 
> for i in /tmp/.esd* .esd*; do echo $i; lsof $i ; done;
> pulseaudio --kill
> rm -rf  /home/sagitter/.pulse
> pulseaudio -vvvv
> 
> And post the output here

Log is attached.

> if it fails, with Failed to load module "module-esound-protocol-unix" .
> Uncomment 
> loadmodule moudle-esound-protocol-unix in /etc/pulse/default.pa and repeat

It is already without-comment

...

### Load several protocols
.ifexists module-esound-protocol-unix.so
load-module module-esound-protocol-unix
.endif
load-module module-native-protocol-unix

...
Comment 7 Antonio Trande 2012-10-17 06:06:36 EDT
Created attachment 628637 [details]
pulseaudio log2
Comment 8 Brendan Jones 2012-10-17 06:37:04 EDT
(In reply to comment #6)
> (In reply to comment #5)
> Hi Brendan.
> 
> > Are you able to get it working with a kernel earlier than 3.6.1?
> > if it fails, with Failed to load module "module-esound-protocol-unix" .
> > Uncomment 
> > loadmodule moudle-esound-protocol-unix in /etc/pulse/default.pa and repeat
> 
> It is already without-comment
> 


Can you ls -al /tmp/.esd-1000 and then remove it

pulseaudio --kill
pulseaudio -vvvv

If it still fails comment this line and repeat:


### Load several protocols
.ifexists module-esound-protocol-unix.so
#load-module module-esound-protocol-unix  
.endif
Comment 9 Antonio Trande 2012-10-17 08:19:55 EDT
(In reply to comment #8)
> 
> Can you ls -al /tmp/.esd-1000 and then remove it
> 
> pulseaudio --kill
> pulseaudio -vvvv
> 
> If it still fails comment this line and repeat:
> 
> 
> ### Load several protocols
> .ifexists module-esound-protocol-unix.so
> #load-module module-esound-protocol-unix  
> .endif

No audio for both.
See pulseaudio log3.
Comment 10 Antonio Trande 2012-10-17 08:20:28 EDT
Created attachment 628744 [details]
pulseaudio log3
Comment 11 Brendan Jones 2012-10-17 08:30:49 EDT
but its not falling over now which is good


Do you have a kernel installed where it works? If so what is the version-release?

Try the following:
https://bugzilla.redhat.com/show_bug.cgi?id=854072#c12
Comment 12 Antonio Trande 2012-10-17 11:12:10 EDT
(In reply to comment #11)
> but its not falling over now which is good
> 
> 
> Do you have a kernel installed where it works? If so what is the
> version-release?
> 
> Try the following:
> https://bugzilla.redhat.com/show_bug.cgi?id=854072#c12

With kernels 3.4* I did use this type of configuration:

'options snd-hda-intel model=acer-aspire-6530g' in '/etc/modprobe.d/dist-alsa.conf'

With kernels 3.5* it was not more necessary.
Now, with kernels 3.6* it is turned again to be fundamental :)

Thank you.
Comment 13 Antonio Trande 2012-10-18 05:51:03 EDT
Another remark.

Seem that 'libflashplayer' plugin by Adobe in some way causes some troubles to pulseaudio. Infact, in addition to the '/etc/modprobe.d/dist-alsa.conf' configuration (see #comment 12), pulseaudio stops again by displaying flash videos streaming. 
Simply I have removed Adobe flash player and now I use gnash. Pulseaudio doesn't stop, for now.

Note You need to log in before you can comment on or make changes to this bug.